/*************************************/ 
/* Original oroborus window manager  */
/* (c) Ken Lynch Jan 2001            */
/*                                   */
/* Extra functionality for OroborOSX */
/* (c) Adrian Umpleby Sept 2001      */
/*                                   */
/* Distributed under the GPL         */ 
/* See LICENSE for more details      */ 
/*************************************/ 

/* definitions.h */

// this is user's prefs for the 'oroborus' part - but don't really want users fiddling with this
// will have proper prefs built in eventually, that go into ~/Library/Preferences or something
#define RCFILE ".oroborosxrc"
// not used any more...
#define DATADIR "/usr/share/oroborosx"

// Support for various things - want to put xinerama back too, really...
#define SHAPE_SUPPORT
//#define LAYER_SUPPORT
#define XINERAMA_SUPPORT
//#define EMULATE_XINERAMA

//#define STOPSTART
// Now say what sort of debugging we want to see in the console log
//#define SHOW_10S_LOG		// shows the "OK" message every ten seconds
#define SHOW_SCREENDIFF		// shows when screen offset is discovered between X11 & OSX screens
#define SHOW_WEIRD		// shows when weird things happen - things that shouldn't really occur!
//#define SHOW_FRONT		// shows at every idle event (in main) which app is in front
#define SHOW_HINTS		// shows X11 window hints, and MWM hints, when new window appears
//#define SHOW_ENTER_LEAVE	// shows when X11 cursor enters/leaves a window (frame)
//#define SHOW_IDLE		// shows what OroborOSX is doing when it is doing nothing (IYSWIM...)
//#define SHOW_EVENTS		// shows each X11 event (and mouse down events from OS X)
//#define SHOW_MOUSE		// shows new mouse locations whenever it moves
//#define SHOW_TRACE1		// shows entry to 'top-level' routines
//#define SHOW_TRACE2		// shows entry to 'mid-level' routines
//#define SHOW_TRACE3		// shows entry to 'low-level' routines
//#define DEBUG			// highly detailed tracing - shows each entry to each routine
